plugins {
    alias(libs.plugins.androidLibrary)
    alias(libs.plugins.kotlinAndroid)
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}

android {
    namespace = "com.gamedog.statisticreporter"
    compileSdk = 36

    defaultConfig {
        minSdk = 24

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = "11"
    }
}

dependencies {
    implementation(libs.androidx.core.ktx)
    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(project(":base"))
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.test.ext.junit)
    androidTestImplementation(libs.espresso.core)


    implementation(project(":core:architecture"))
    implementation(project(":bill"))

    api("com.adjust.sdk:adjust-android:5.5.0")
    api("com.android.installreferrer:installreferrer:2.2")
    // Add the following if you are using the Adjust SDK inside web views on your app
    api("com.adjust.sdk:adjust-android-webbridge:5.5.0")
    api("com.android.installreferrer:installreferrer:2.2")
    api("com.adjust.sdk:adjust-android-huawei-referrer:5.0.0")
    api("com.google.android.gms:play-services-ads-identifier:18.2.0")
    implementation("cn.thinkingdata.android:ThinkingAnalyticsSDK:3.0.2")


    // 导入 Firebase BoM（Bill of Materials）统一管理版本
    implementation(platform("com.google.firebase:firebase-bom:33.16.0"))

    // 添加你需要的 Firebase 产品依赖（无需指定版本号）
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-config")

}